package com.bonus.canteen.core.alloc.service;

import java.util.List;
import com.bonus.canteen.core.alloc.domain.AllocStall;

/**
 * 档口信息Service接口
 * 
 * @author xsheng
 * @date 2025-04-03
 */
public interface IAllocStallService {
    /**
     * 查询档口信息
     * 
     * @param stallId 档口信息主键
     * @return 档口信息
     */
    public AllocStall selectAllocStallByStallId(Long stallId);

    /**
     * 查询档口信息列表
     * 
     * @param allocStall 档口信息
     * @return 档口信息集合
     */
    public List<AllocStall> selectAllocStallList(AllocStall allocStall);

    /**
     * 新增档口信息
     * 
     * @param allocStall 档口信息
     * @return 结果
     */
    public int insertAllocStall(AllocStall allocStall);

    /**
     * 修改档口信息
     * 
     * @param allocStall 档口信息
     * @return 结果
     */
    public int updateAllocStall(AllocStall allocStall);

    /**
     * 批量删除档口信息
     * 
     * @param stallIds 需要删除的档口信息主键集合
     * @return 结果
     */
    public int deleteAllocStallByStallIds(Long[] stallIds);

    /**
     * 删除档口信息信息
     * 
     * @param stallId 档口信息主键
     * @return 结果
     */
    public int deleteAllocStallByStallId(Long stallId);
}
